--------------------------------------------------------
--  Datei erstellt -Donnerstag-August-24-2017
--------------------------------------------------------
SET DEFINE OFF;

INSERT INTO RECHTESTUFEN (
  XRS_XRC_ID,
  XRS_BIT,
  XRS_BESCHREIBUNG
) VALUES (
  3711,
  3,
  'Datenexport Kontakte'
);

INSERT INTO EXPORTDATEN (
  XDE_KEY,
  XDE_XRC_ID,
  XDE_STUFE,
  XDE_BEZEICHNUNG,
  XDE_BESCHREIBUNG,
  XDE_SQL,
  XDE_STATUS,
  XDE_USER,
  XDE_USERDAT
) VALUES (
  141,
  3711,
  4,
  'CRM - Kontakte',
  'Liefert neben der Adresse auch die Kontaktdaten',
  ' select
      CAD.CAD_KEY,
      CAD.CAD_ANREDE,
      (
        select ANR.ANR_ANREDE
        from ANREDEN ANR
        where ANR.ANR_ID = CAD.CAD_ANREDE
      ) as ANR_ANREDE,
      CAD.CAD_RANKING,
      (
        select FUNC_TEXTKONSERVE(''lst_CAD_RANKING'',''CAD'',''D'',CAD.CAD_RANKING)
        from dual
      ) as XTX_RANKING,
      CAD.CAD_NAME1,
      CAD.CAD_NAME2,
      CAD.CAD_STRASSE,
      CAD.CAD_HAUSNUMMER,
      CAD.CAD_PLZ,
      CAD.CAD_ORT,
      CAD.CAD_KON_KEY,
      (
        select KON_NAME1
        from KONTAKTE KON
        where KON_KEY = CAD.CAD_KON_KEY
      ) as CAD_BETREUER,
      CAD.CAD_STATUS,
      CAQ.CAQ_VERTRAGSNUMMER,
      (select CAQ_VERTRAGSNUMMER
      from CRMAKQUISESTAND
      where CAQ_CAD_KEY = CAD.CAD_CAD_KEY) VERBANDSNUMMER,
      CKA.CKA_BEZEICHNUNG,
      CKE.CKE_BEZEICHNUNG,
      replace(replace(CKT.CKT_BEMERKUNG,chr(13),'' ''),chr(10),'' '') as CKT_BEMERKUNG,
      CKT.CKT_DATUM,
      CAP.CAP_NACHNAME,
      CKT.CKT_KON_KEY,
      (select KON_NAME1
      from KONTAKTE KON
      where KON_KEY = CKT.CKT_KON_KEY) as CKT_BETREUER,
      DOKUMENT,
      CKT_DATUM_MAX,
      (select sum(CFZ_ANZAHL)
      from CRMPOTENTIAL a inner join CRMFAHRZEUGE b
      on a.CPO_KEY = b.CFZ_CPO_KEY
      where CPO_CAD_KEY = CAD.CAD_KEY) as CPO_FAHRZEUGE
      from CRMADRESSEN CAD left join CRMAKQUISESTAND CAQ
      on CAD.CAD_KEY = CAQ.CAQ_CAD_KEY
      left join CRMKONTAKTE CKT
      on CKT.CKT_CAD_KEY = CAD.CAD_KEY
      left join CRMKONTAKTARTEN CKA
      on CKT.CKT_CKA_KEY = CKA.CKA_KEY
      left join CRMKONTAKTERGEBNISSE CKE
      on CKT.CKT_CKE_KEY = CKE.CKE_KEY
      left join CRMANSPRECHPARTNER CAP
      on CKT.CKT_CAP_KEY = CAP.CAP_KEY
      left join
      (
        select to_char(a.DOC_USERDAT,''DD.MM.YYYY'') || '': '' || a.DOC_BEZEICHNUNG as DOKUMENT, a.DOZ_XXX_KEY
        from
        (
          select DOZ_XXX_KEY, DOZ_DOC_KEY, DOC_USERDAT, DOC_BEZEICHNUNG
          from DOKUMENTE inner join DOKUMENTZUORDNUNGEN
          on DOC_KEY = DOZ_DOC_KEY
          and DOZ_XXX_KUERZEL = ''CAD''
        ) a inner join
        (
          select DOZ_XXX_KEY, max(DOC_USERDAT) DOC_USERDAT
          from DOKUMENTE inner join DOKUMENTZUORDNUNGEN
          on DOC_KEY = DOZ_DOC_KEY
          and DOZ_XXX_KUERZEL = ''CAD''
          group by DOZ_XXX_KEY
        ) b
        on a.DOZ_XXX_KEY = b.DOZ_XXX_KEY
        and a.DOC_USERDAT = b.DOC_USERDAT
      ) DOK on CAD.CAD_KEY = DOK.DOZ_XXX_KEY
      left join
      (
        select CKT_CAD_KEY, max(CKT_DATUM) CKT_DATUM_MAX
        from CRMKONTAKTE
        group by CKT_CAD_KEY
      ) d
      on CAD.CAD_KEY = d.CKT_CAD_KEY',
  'A',
  'Stefan Oppl',
  SYSDATE
);

INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (141,'CAD_KEY','N0',30,100,'',10,'Stefan Oppl',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (141,'CAD_ANREDE','T',30,100,'SQL:SELECT ANR_ID, ANR_ANREDE FROM ANREDEN ORDER BY 2',20,'Stefan Oppl',SYSDATE,'','ANR_ANREDE',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (141,'CAD_RANKING','T',30,200,'TXT:CAD:lst_CAD_RANKING',30,'Stefan Oppl',SYSDATE,'','FUNC_TEXTKONSERVE(''lst_CAD_RANKING'',''CAD'',''DE'',CAD_RANKING)',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (141,'CAD_NAME1','T',30,200,'',40,'Stefan Oppl',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (141,'CAD_NAME2','T',30,200,'',50,'Stefan Oppl',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (141,'CAD_STRASSE','T',30,200,'',60,'Stefan Oppl',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (141,'CAD_HAUSNUMMER','T',30,100,'',70,'Stefan Oppl',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (141,'CAD_PLZ','T',30,200,'',80,'Stefan Oppl',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (141,'CAD_ORT','T',30,200,'',90,'Stefan Oppl',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (141,'CAD_KON_KEY','T',30,200,'SQL:SELECT DISTINCT KON_KEY, KON_NAME1 FROM KONTAKTE INNER JOIN CRMADRESSEN ON KON_KEY = CAD_KON_KEY ORDER BY 2',100,'Stefan Oppl',SYSDATE,'','CAD_BETREUER',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (141,'CAD_STATUS','T',30,200,'TXT:CAD:lst_CAD_STATUS',110,'Stefan Oppl',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (141,'CAQ_VERTRAGSNUMMER','T',30,200,'',120,'Stefan Oppl',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (141,'VERBANDSNUMMER','N0',30,200,'',130,'Stefan Oppl',SYSDATE,'CAD:CAD_CAD_KEY','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (141,'CKA_BEZEICHNUNG','T',30,200,'',140,'Stefan Oppl',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (141,'CKE_BEZEICHNUNG','T',30,200,'',150,'Stefan Oppl',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (141,'CKT_BEMERKUNG','T',30,200,'',160,'Stefan Oppl',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (141,'CKT_DATUM','D',10,200,'',170,'Stefan Oppl',SYSDATE,'','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (141,'CAP_NACHNAME','T',30,200,'',180,'Stefan Oppl',SYSDATE,'Wort:NameAnsprechpartner','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (141,'CKT_KON_KEY','T',30,200,'SQL:SELECT DISTINCT KON_KEY, KON_NAME1 FROM KONTAKTE INNER JOIN CRMKONTAKTE ON KON_KEY = CKT_KON_KEY ORDER BY 2',190,'Stefan Oppl',SYSDATE,'Wort:BetreuerKontakt','CKT_BETREUER',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (141,'DOKUMENT','T',30,200,'',200,'Stefan Oppl',SYSDATE,'Wort:Dokument','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (141,'CKT_DATUM_MAX','D',10,200,'',210,'Stefan Oppl',SYSDATE,'Wort:LetzterKontakt','',0,1);
INSERT INTO EXPORTDATENFELDER (XDF_XDE_KEY,XDF_FELDNAME,XDF_DATENTYP,XDF_FELDLAENGE,XDF_SPALTENBREITE,XDF_DATENQUELLE,XDF_SORTIERUNG,XDF_USER,XDF_USERDAT,XDF_TEXTKONSERVE,XDF_AUSDRUCK,XDF_PFLICHTFELD,XDF_FILTERFELD)
VALUES (141,'CPO_FAHRZEUGE','N0',30,200,'',220,'Stefan Oppl',SYSDATE,'','',0,1);

INSERT INTO TEXTKONSERVEN (XTX_KENNUNG,XTX_BEREICH,XTX_BEMERKUNG,XTX_TEXT_DE,XTX_USERDAT)
VALUES ('Dokument','Wort','Dokument','Dokument',SYSDATE);
INSERT INTO TEXTKONSERVEN (XTX_KENNUNG,XTX_BEREICH,XTX_BEMERKUNG,XTX_TEXT_DE,XTX_USERDAT)
VALUES ('LetzterKontakt','Wort','letzter Kontakt','letzter Kontakt',SYSDATE);
INSERT INTO TEXTKONSERVEN (XTX_KENNUNG,XTX_BEREICH,XTX_BEMERKUNG,XTX_TEXT_DE,XTX_USERDAT)
VALUES ('NameAnsprechpartner','Wort','Name Ansprechpartner','Name Anpsprechpartner',SYSDATE);
INSERT INTO TEXTKONSERVEN (XTX_KENNUNG,XTX_BEREICH,XTX_BEMERKUNG,XTX_TEXT_DE,XTX_USERDAT)
VALUES ('BetreuerKontakt','Wort','Betreuer des Kontakts','Betreuer Kontakt',SYSDATE);